Package org.springframework.web.client

# Class RestClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.client.RestClientException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ResourceAccessException`, `RestClientResponseException`, `UnknownContentTypeException`

public class RestClientException extends org.springframework.core.NestedRuntimeException
Base class for exceptions thrown by `RestClient` and `RestTemplate` in case a request fails because of a server error response, a failure to decode the response, or a low level I/O error.

Server error responses are determined by `status handlers` for `RestClient`, and by `ResponseErrorHandler` for `RestTemplate`.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RestClientException(String msg)`
Construct a new instance of `RestClientException` with the given message.
`RestClientException(String msg, Throwable ex)`
Construct a new instance of `RestClientException` with the given message and exception.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestClientException

public RestClientException(String msg)
Construct a new instance of `RestClientException` with the given message.

Parameters:
  `msg` - the message

### RestClientException

public RestClientException(String msg, @Nullable Throwable ex)
Construct a new instance of `RestClientException` with the given message and exception.

Parameters:
  `msg` - the message
  `ex` - the exception